Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Failed to install Web Tools plugin
Failed to install Web Tools plugin [message #649903] Thu, 20 January 2011 21:49 Go to next message
Eclipse User
Originally posted by: m_lehmeier.gmx.de

Hello.

I use Eclipse Helios.
Version: Helios Service Release 1
Build id: 20100917-0705

I downloaded Eclipse with the Modeling Tools package but now need to do
some web development, too.

I added the update site http://download.eclipse.org/webtools/updates
But I get a dependency problem when trying to install the Eclipse Java
EE Developer Tools and the Eclipse Web Developer Tools.

It tells me:
WTP J2EE UI Plug-in 1.1.301.v201001252130 (org.eclipse.jst.j2ee.ui
1.1.301.v201001252130) requires 'bundle com.ibm.icu [3.4.4,4.1.0)' but
it could not be found

It seems that other people had similar problems which supposedly were
fixed months ago.
I looked but have no idea where I can get this com.ibm.icu plugin.

Can anybody help me?
Thanks!

--
Lehmeier Michael
Re: Failed to install Web Tools plugin [message #649926 is a reply to message #649903] Fri, 21 January 2011 02:25 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin Dahyabhai
Messages: 2310
Registered: July 2009
Senior Member
On 1/20/2011 4:49 PM, Michael Lehmeier wrote:
> I use Eclipse Helios.
> Version: Helios Service Release 1
> Build id: 20100917-0705
>
> I downloaded Eclipse with the Modeling Tools package but now need to do
> some web development, too.
>
> I added the update site http://download.eclipse.org/webtools/updates
> But I get a dependency problem when trying to install the Eclipse Java
> EE Developer Tools and the Eclipse Web Developer Tools.
>
> It tells me:
> WTP J2EE UI Plug-in 1.1.301.v201001252130 (org.eclipse.jst.j2ee.ui
> 1.1.301.v201001252130) requires 'bundle com.ibm.icu [3.4.4,4.1.0)' but
> it could not be found
>
> It seems that other people had similar problems which supposedly were
> fixed months ago.
> I looked but have no idea where I can get this com.ibm.icu plugin.

The correct update site for WTP with Helios is the Helios update site
itself.

--
Nitin Dahyabhai
Eclipse WTP Source Editing and JSDT
IBM Rational


---
Nitin Dahyabhai
Eclipse WTP, IBM
Re: Failed to install Web Tools plugin [message #649944 is a reply to message #649926] Fri, 21 January 2011 06:39 Go to previous messageGo to next message
Eclipse User
Originally posted by: m_lehmeier.gmx.de

On 2011-01-21, Nitin Dahyabhai <nitind@us.ibm.com> wrote:
> On 1/20/2011 4:49 PM, Michael Lehmeier wrote:
>
> The correct update site for WTP with Helios is the Helios update site
> itself.

Okay, I thought this alternate site was the correct one since I couldn't
get the plugin from the Helios update site to work.

When I try to configure Server->Runtime Environments there is a "J2EE
Runtime Library" predefined.
I can't use this to create a Dynamic Web Project: "Runtime 'J2EE Runtime
Library' is invalid."

So I try to add a Tomcat installation.
The "New Server Runtime Environment" doesn't show me any options besides
the J2EE Runtime Library. "Download additional server adapters" doesn't
help, there doesn't seem to be an adapter for Tomcat. The "Create a new
local server" checkbox vanishes when I click on it. (That can't be
right)

So I do what I tried to do first:
I opened the "Search for Runtime Environments" and pointed to the Tomcat
installation directory (apache-tomcat-7.0.6) but get "no new server
runtime environments were found".

From that point I didn't know any alternatives.
What did I do wrong?

--
Lehmeier Michael
Re: Failed to install Web Tools plugin [message #650125 is a reply to message #649944] Fri, 21 January 2011 19:49 Go to previous messageGo to next message
Larry Isaacs is currently offline Larry Isaacs
Messages: 1309
Registered: July 2009
Senior Member
On 1/21/2011 1:39 AM, Michael Lehmeier wrote:
> On 2011-01-21, Nitin Dahyabhai<nitind@us.ibm.com> wrote:
>> On 1/20/2011 4:49 PM, Michael Lehmeier wrote:
>>
>> The correct update site for WTP with Helios is the Helios update site
>> itself.
>
> Okay, I thought this alternate site was the correct one since I couldn't
> get the plugin from the Helios update site to work.
>
> When I try to configure Server->Runtime Environments there is a "J2EE
> Runtime Library" predefined.
> I can't use this to create a Dynamic Web Project: "Runtime 'J2EE Runtime
> Library' is invalid."
>
> So I try to add a Tomcat installation.
> The "New Server Runtime Environment" doesn't show me any options besides
> the J2EE Runtime Library. "Download additional server adapters" doesn't
> help, there doesn't seem to be an adapter for Tomcat. The "Create a new
> local server" checkbox vanishes when I click on it. (That can't be
> right)
>
> So I do what I tried to do first:
> I opened the "Search for Runtime Environments" and pointed to the Tomcat
> installation directory (apache-tomcat-7.0.6) but get "no new server
> runtime environments were found".
>
> From that point I didn't know any alternatives.
> What did I do wrong?
>

If you tried to install WTP in pieces, like adding "Eclipse Java
EE Developer Tools" and the "Eclipse Web Developer Tools", then you
would not install the bulk of the JST Server support. I'll admit it's
not clear what "Eclipse Java EE Developer Tools" is and isn't. To
install the JST Server support for Tomcat, install the "JST Server
Adapters 3.2.2.v20100818b-777HFGRCcNBDiBjIbhBA8". The other "JST
Server Adapters 3.2.0.v201005241530-208Z7w31211419" installs the J2EE
Preview server support that uses the copy of Jetty built into Eclipse.

Cheers,
Larry
Re: Failed to install Web Tools plugin [message #650128 is a reply to message #650125] Fri, 21 January 2011 20:06 Go to previous message
Eclipse User
Originally posted by: m_lehmeier.gmx.de

On 2011-01-21, Larry Isaacs <Larry.Isaacs@sas.com> wrote:
> On 1/21/2011 1:39 AM, Michael Lehmeier wrote:
>> installation directory (apache-tomcat-7.0.6) but get "no new server
>> runtime environments were found".
>>
>> From that point I didn't know any alternatives.
>> What did I do wrong?
>>
>
> If you tried to install WTP in pieces, like adding "Eclipse Java
> EE Developer Tools" and the "Eclipse Web Developer Tools", then you
> would not install the bulk of the JST Server support. I'll admit it's
> not clear what "Eclipse Java EE Developer Tools" is and isn't. To
> install the JST Server support for Tomcat, install the "JST Server
> Adapters 3.2.2.v20100818b-777HFGRCcNBDiBjIbhBA8". The other "JST
> Server Adapters 3.2.0.v201005241530-208Z7w31211419" installs the J2EE
> Preview server support that uses the copy of Jetty built into Eclipse.

That did it!
Thank you!

--
Lehmeier Michael
Previous Topic:Eclipse WTP with Jetty and m2eclipse - auto republish not picking up changes.
Next Topic:Problem in Eclipse WEP.
Goto Forum:
  


Current Time: Thu Oct 23 01:39:30 GMT 2014

Powered by FUDForum. Page generated in 0.01764 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software